Subject: bug#31769: mpd / pulse control issue

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 25 Apr 2023 20:08:03 -0400

Hi,

[email-masked] (宋文武) writes:

> Bradley Haggerty <[email-masked]> writes:
>
>> I have mpd enabled as a herd service. When I start my computer, mpd
>> can play my music fine, but pavucontrol can't connect to pulse and
>> show my volume controls. If I
>> kill pulse and open pavucontrol, all my volume controls are visible,
>> but then mpd can't play music. If I kill pulse again and this time
>> play a song in mpd, mpd works again,
>> but pavucontrol can't connect. Basically, if mpd starts pulse, mpd
>> works, but other things can't connect, and if pavucontrol starts
>> pulse, mpd can't connect to pulse. Since
>> I have mpd enabled as a service, it's the one to start pulse on a
>> fresh boot. I also tried starting pulse as my user by killing it and
>> opening pavucontrol, then restarting the
>> mpd service in case it could find my pulse service this way. No
>> success there. While mpd has control of pulse, other applications
>> also lack sounds, such as mpv (video
>> players) and icecat.
>
> According to the wiki of ArchLinux, users of PulseAudio with a
> system-wide MPD configuration have to implement a workaground:
>
> <https://wiki.archlinux.org/index.php/Music_Player_Daemon/Tips_and_tricks#Local_.28with_separate_mpd_user.29>

Could this happen to have been fixed by
bc30a9ee889fb1b81c43a7f94ea4c2b95a15db75 ("services: mpd: Set
PulseAudio-related variables.") ?  I'm not sure I understand what the
issue is exactly, but that commit did do some pulseaudio-related configuration.

-- 
Thanks,
Maxim